Solid Edge Assembly Type Library
GetBaseStyle Method
Member of PartBaseStylesConstants that specifies the base style for the referenced object.
Specifies base style characteristics, such as color and lighting, for the referenced object.
Description
This method gets the base style for the referenced document object.
Syntax
Visual Basic
Public Sub GetBaseStyle( _
   ByVal BaseStyleType As AssemblyBaseStylesConstants, _
   ByRef BaseStyle As FaceStyle _
) 
Parameters
BaseStyleType
ValueDescription
seAssemblyConstructionStyleControls the style of assembly construction.
seAssemblyCurveStyleControls the default style of assembly level curves.
seAssemblyThreadedCylindersStyleControls the default style of assembly level threads.
seAssemblyWeldBeadStyleControls the style of assembly weld bead.
Member of PartBaseStylesConstants that specifies the base style for the referenced object.
BaseStyle
Specifies base style characteristics, such as color and lighting, for the referenced object.
Example
Imports System.Runtime.InteropServices

Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim objSEApp As SolidEdgeFramework.Application = Nothing
        Dim objAsmDoc As SolidEdgeAssembly.AssemblyDocument = Nothing
        Dim objBaseStyle As SolidEdgeFramework.FaceStyle = Nothing

        Try
            'Get Solid Edge application object
            objSEApp = Marshal.GetActiveObject("SolidEdge.Application")
            'Get assembly document
            objAsmDoc = objSEApp.ActiveDocument
            objAsmDoc.GetBaseStyle(SolidEdgeAssembly.AssemblyBaseStylesConstants.seAssemblyThreadedCylindersStyle, objBaseStyle)
            MsgBox(objBaseStyle.StyleName)

        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try

    End Sub
End Class
See Also

AssemblyDocument Object  | AssemblyDocument Members  | Solid Edge V18 - What's New